| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::ShapeDistanceExtractor Class Referenceabstract
Shape Distance and Matching

Abstract base class for shape distance algorithms. More...

`#include <opencv2/shape/shape_distance.hpp>`

Inheritance diagram for cv::ShapeDistanceExtractor:

## Public Member Functions
virtual float | computeDistance (InputArray contour1, InputArray contour2)=0
| Compute the shape distance between two shapes defined by its contours. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Abstract base class for shape distance algorithms.

## Member Function Documentation

## § computeDistance()

virtual float cv::ShapeDistanceExtractor::computeDistance | ( | InputArray | contour1,
|  | InputArray | contour2
| ) |  |
| pure virtual

Python:
| retval | = | cv.ShapeDistanceExtractor.computeDistance( | contour1, contour2 | )

Compute the shape distance between two shapes defined by its contours.

Parameters

  contour1 | Contour defining first shape.
  contour2 | Contour defining second shape.

Examples:
  samples/cpp/shape_example.cpp.

The documentation for this class was generated from the following file:

- opencv2/shape/shape_distance.hpp